Kea: isc::hooks::LibrariesStillOpened Class Reference

| Kea 2.2.0

Public Member Functions | List of all members
isc::hooks::LibrariesStillOpened Class Reference

Libraries still opened. More...

`#include <hooks_manager.h>`

Inheritance diagram for isc::hooks::LibrariesStillOpened:
[legend]

## Public Member Functions
| LibrariesStillOpened (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::Exception
virtual const char * | what () const throw ()
| Returns a C-style character string of the cause of the exception. More...
virtual const char * | what (bool verbose) const throw ()
| Returns a C-style character string of the cause of exception. More...
const std::string & | getMessage () const
| Gets a string describing the cause of the exception. More...
const char * | getFile () const
| Gets the file name where the exception was thrown. More...
size_t | getLine () const
| Gets the line number of the file where the exception was thrown. More...
| Exception (const char *file, size_t line, const char *what)
| Constructor for a given type for exceptions with file name and file line number. More...
| Exception (const char *file, size_t line, const std::string &what)
| Constructor for a given type for exceptions with file name and file line number. More...
virtual | ~Exception () throw ()
| The destructor. More...

## Detailed Description

Libraries still opened.

Thrown if an attempt is made to load libraries when some are still in memory likely because they were not unloaded (logic error in Kea) or they have some visible dangling pointers (logic error in a hook library).

Definition at line 28 of file hooks_manager.h.

## Constructor & Destructor Documentation

## ◆ LibrariesStillOpened()

isc::hooks::LibrariesStillOpened::LibrariesStillOpened | ( | const char * | file,
|  | size_t | line,
|  | const char * | what
| ) |  |
| inline

Definition at line 30 of file hooks_manager.h.

The documentation for this class was generated from the following file:

- hooks_manager.h